fop 2.3

## org.apache.fop.fonts
Enum CIDFontType

    java.lang.Object
      java.lang.Enum<CIDFontType>
          org.apache.fop.fonts.CIDFontType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CIDFontType>

    public enum CIDFontType

extends java.lang.Enum<CIDFontType>

This class enumerates all supported CID font types.

Enum Constant Summary
`CIDTYPE0` CID Font Type 0 (based on Type 1 format)
`CIDTYPE2` CID Font Type 2 (based on TrueType format)

Method Summary
`static CIDFontType` `byName(java.lang.String name)` Returns the CIDFontType by name.
`static CIDFontType` `byValue(int value)` Returns the CID FontType by value.
`java.lang.String` `getName()`
`int` `getValue()`
`static CIDFontType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CIDFontType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CIDTYPE0

    public static final CIDFontType CIDTYPE0

  CID Font Type 0 (based on Type 1 format)

### CIDTYPE2

    public static final CIDFontType CIDTYPE2

  CID Font Type 2 (based on TrueType format)

Method Detail

### values

    public static CIDFontType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CIDFontType c : CIDFontType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CIDFontType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### byName

    public static CIDFontType byName(java.lang.String name)

  Returns the CIDFontType by name.

  Parameters:
    `name` - Name of the CID font type to look up
  Returns:
    FontType the CID font type

### byValue

    public static CIDFontType byValue(int value)

  Returns the CID FontType by value.

  Parameters:
    `value` - Value of the CID font type to look up
  Returns:
    FontType the CID font type

### getName

    public java.lang.String getName()

### getValue

    public int getValue()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.